%define upstream_name Path-FindDev
%define upstream_version 0.5.2

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Find a development path somewhere in an upper hierarchy
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/App/KENTNL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Tiny)
#BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Moo)
BuildRequires:	perl(Path::IsDev::Object)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(Sub::Exporter)

BuildArch:	noarch

%description
This package is mostly a glue layer around "Path::IsDev" with a few
directory walking tricks.

    use Path::FindDev qw( find_dev );

    if ( my $root = find_dev('/some/path/to/something/somewhere')) {
        print "development root = $root";
    } else {
        print "No development root :(";
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.5.2-5.mga6
+ Revision: 1031876
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.5.2-4.mga6
+ Revision: 929477
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 739356
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-2.mga5
+ Revision: 685914
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 0.5.2-1.mga5
+ Revision: 666158
- update to 0.5.2

* Mon Jul 21 2014 sander85 <sander85> 0.5.1-1.mga5
+ Revision: 655082
- update to 0.5.1

* Fri May 02 2014 sander85 <sander85> 0.5.0-1.mga5
+ Revision: 619420
- update to 0.5.0

* Thu Feb 06 2014 sander85 <sander85> 0.4.2-1.mga5
+ Revision: 584523
- update to 0.4.2

* Mon Oct 21 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 539108
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 0.4.0-1.mga4
+ Revision: 491460
- update to 0.4.0

* Fri Sep 27 2013 sander85 <sander85> 0.3.2-1.mga4
+ Revision: 488028
- update to 0.3.2

* Tue Sep 24 2013 sander85 <sander85> 0.3.1-1.mga4
+ Revision: 485576
- update to 0.3.1

* Fri Sep 06 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 475492
- imported package perl-Path-FindDev

